Устаревший Skype в программном центре

3

Я включил источники Canonical Partners, но мой программный центр (или apt-cache show skype ) показал только skype 4.2.x, а не текущий 4.3.x

Источники, такие как Статья руководства Ubuntu подразумевают, что 4.3 должен быть доступен через программный центр.

Я запустил apt-get обновление и обновление, поэтому я думаю, что я все в курсе.

Я знаю, что могу установить вручную из загруженного .deb с веб-сайта Skype, но почему мой центр программного обеспечения устарел, и как я могу получить последнее сообщение?

Я запускаю 14.04 LTS.

EDIT (из комментариев):

работает: apt-cache policy skype yielded:

skype:
 Installed: (none)
 Candidate: 4.2.0.11-0ubuntu0.12.04.2
 Version table:
    4.2.0.11-0ubuntu0.12.04.2 0
        500 http://archive.canonical.com/ubuntu/ saucy/partner amd64 Packages
    
задан Andrew M 05.01.2016 в 13:07
источник

2 ответа

6

Вы добавили репозиторий партнеров для Ubuntu 13.10. Это было неправильно. Его можно зафиксировать следующим образом:

Запуск в терминале

sudo sed -i 's/saucy/trusty/' /etc/apt/sources.list
sudo apt-get update
sudo apt-get install skype

Это установит правильную версию.

Или вы можете получить настройки системы - > Программное обеспечение и amp; Обновления и исправить там.

    
ответ дан Pilot6 05.01.2016 в 13:53
источник
-1
  1. Удалите старую версию Skype
sudo apt-get remove skype skype-bin:i386 skype:i386
sudo apt-get install sni-qt:i386
  1. Удалите старую папку Skype
rm -rf ~/.Skype
  1. Включить MultiArch, если вы используете 64-разрядный Ubuntu
sudo dpkg --add-architecture i386
  1. Поскольку вы уже включили Canonical Partners, запустите обновление.
ответ дан shrestha_aj 05.01.2016 в 13:27